/*
*  MCProgressTracker Styles
*  
*  Created 03-Jan-2012
*  By Dicentia Studios
*  
*/

#mc-progress-tracker {
	position: fixed;
	bottom: -83px;
	left: 50%;
	margin-left: -170px;
	z-index: 5;
	color: #555;
	-webkit-transition: bottom 350ms ease-out;
	-moz-transition: bottom 350ms ease-out;
	-ms-transition: bottom 350ms ease-out;
	-o-transition: bottom 350ms ease-out;
	transition: bottom 350ms ease-out;
}

#mc-progress-tracker.visible {
	bottom: 0;
}

#mc-progress-tracker > .content {
	position: relative;
	width: 340px;
	padding: 5px;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
	border: 1px solid #ccc;
	background-color: #E9E9E9;
	-webkit-transition: box-shadow 500ms ease;
	-moz-transition: box-shadow 500ms ease;
	-ms-transition: box-shadow 500ms ease;
	-o-transition: box-shadow 500ms ease;
	transition: box-shadow 500ms ease;
}

#mc-progress-tracker.visible > .content {
	box-shadow: 0 7px 35px rgba(70, 70, 70, 0.5);
}

#mc-progress-tracker .header {
	padding-bottom: 5px;
	margin: 0 5px;
	min-height: 14px;
	font-size: 0.9em;
	position: relative;
}

#mc-progress-tracker .header .details {
	position: absolute;
	right: 0;
	top: 0;
	color: #999;
	/*top: -100%;
	opacity: 0;
	-webkit-transition: opacity 500ms linear, top 500ms ease;
	-moz-transition: opacity 500ms linear, top 500ms ease;
	-ms-transition: opacity 500ms linear, top 500ms ease;
	-o-transition: opacity 500ms linear, top 500ms ease;
	transition: opacity 500ms linear, top 500ms ease;*/
}

/*#mc-progress-tracker .header .details.show {
	top: 0;
	opacity: 1;
}

#mc-progress-tracker .header .details.hide {
	top: 100%;
	opacity: 0;
}*/

#mc-progress-tracker .sections {
	position: relative;
	background-color: #ccc;
	box-shadow: inset 0px 0px 25px rgba(0, 0, 0, 0.2);
	border-radius: 4px;
	white-space: nowrap;
	overflow: hidden;
	min-height: 52px;
	-webkit-perspective: 500;
	-moz-perspective: 500;
	-ms-perspective: 500;
	-o-perspective: 500;
	perspective: 500;
}

#mc-progress-tracker .section {
	display: inline-block;
	position: absolute;
	width: 100%;
	-webkit-transition: -webkit-transform 350ms ease-out, opacity 350ms ease-out;
	-moz-transition: -moz-transform 350ms ease-out, opacity 350ms ease-out;
	-ms-transition: -ms-transform 350ms ease-out, opacity 350ms ease-out;
	-o-transition: -o-transform 350ms ease-out, opacity 350ms ease-out;
	transition: transform 350ms ease-out, opacity 350ms ease-out;
	-webkit-transform: translateZ(-350px) rotateX(-45deg);
	-moz-transform: translateZ(-350px) rotateX(-45deg);
	-ms-transform: translateZ(-350px) rotateX(-45deg);
	-o-transform: translateZ(-350px) rotateX(-45deg);
	transform: translateZ(-350px) rotateX(-45deg);
	background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0)), to(rgba(0, 0, 0, 0.1)));
	background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0));
	background-color: whiteSmoke;
	height: 52px;
	border-radius: 4px;
	box-shadow: 0 3px 15px rgba(70, 70, 70, 0.5);
	opacity: 0;
}

#mc-progress-tracker .section.show {
	-webkit-transform: translateZ(0);
	-moz-transform: translateZ(0);
	-ms-transform: translateZ(0);
	-o-transform: translateZ(0);
	transform: translateZ(0);
	opacity: 1;
}

#mc-progress-tracker .section.hide {
	-webkit-transition: -webkit-transform 350ms ease-in;
	-moz-transition: -moz-transform 350ms ease-in;
	-ms-transition: -ms-transform 350ms ease-in;
	-o-transition: -o-transform 350ms ease-in;
	transition: transform 350ms ease-in;
	-webkit-transform: translateY(160%) rotateZ(-10deg);
	-moz-transform: translateY(160%) rotateZ(-10deg);
	-ms-transform: translateY(160%) rotateZ(-10deg);
	-o-transform: translateY(160%) rotateZ(-10deg);
	transform: translateY(160%) rotateZ(-10deg);
	z-index: 4;
	opacity: 1;
}

#mc-progress-tracker .shadow {
	position: absolute;
	width: 100%;
	z-index: 5;
	border-radius: 4px;
	height: 52px;
	box-shadow: inset 0 1px 3px rgba(70, 70, 70, 0.5);
}

#mc-progress-tracker .section > .content {
	padding: 5px;
	white-space: nowrap;
	position: relative;
}

#mc-progress-tracker .section .left-thumbnail {
	position: absolute;
	line-height: 42px;
	width: 42px;
	text-align: center;
}

#mc-progress-tracker .section .img {
	position: absolute;
	width: 52px;
	height: 40px;
	margin-top: 1px;

	border-radius: 4px;
	box-shadow: 0 1px 3px rgba(70, 70, 70, 0.5);
	background-size: 100%;
}

#mc-progress-tracker .section .labels {
	position: relative;
	margin-left: 57px;
}

#mc-progress-tracker .section .title {
	font-size: 0.9em;
	width: 40%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

#mc-progress-tracker .section .title.untitled {
	font-style: italic;
    color: #666;
}

#mc-progress-tracker .section .subtitle {
	color: #999;
	font-size: 0.8em;
	height: 12px;
	width: 40%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

#mc-progress-tracker .section .message {
	position: absolute;
	right: 0;
	top: 14px;
	font-size: 0.8em;
	text-align: right;
	color: #999;
	height: 12px;
	width: 55%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	/*opacity: 0;
	-webkit-transition: opacity 500ms ease;
	-moz-transition: opacity 500ms ease;
	-ms-transition: opacity 500ms ease;
	-o-transition: opacity 500ms ease;
	transition: opacity 500ms ease;*/
}

/*#mc-progress-tracker .section .message.active {
	opacity: 1;
}*/

#mc-progress-tracker .section .state {
	position: absolute;
	right: 0;
	top: 0;
	width: 55%;
	font-size: 0.9em;
	text-align: right;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;

	/*opacity: 0;
	-webkit-transition: opacity 500ms ease;
	-moz-transition: opacity 500ms ease;
	-ms-transition: opacity 500ms ease;
	-o-transition: opacity 500ms ease;
	transition: opacity 500ms ease;*/
}

/*#mc-progress-tracker .section .status-state.active {
	opacity: 1;
}*/

#mc-progress-tracker .section .progress-container {
	margin-top: 4px;
}